Actions: F
How to set up each action of the 7 apps starting with F.
Apps starting with F. Add any of these from Integrations → n8n → Add tools → Browse apps; see Set up an action for each way a key is sent, and the catalog index for every app.
#Facebook Graph API
- n8n node: Facebook Graph API (
n8n-nodes-base.facebookGraphApi, version 1), 1 action. - n8n performs it: runs on the n8n credential Facebook Graph API (how to set it up).
- Veefore performs it: no action has an endpoint Veefore can call; n8n performs them.
- Get the key: developers.facebook.com
Facebook Graph API in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Facebook Graph API | n8n performs it | hostUrl, httpRequestMethod, graphApiVersion, node |
#FileMaker
- n8n node: FileMaker (
n8n-nodes-base.filemaker, version 1), 1 action. - n8n performs it: runs on the n8n credential FileMaker API (how to set it up).
- Veefore performs it: not available. FileMaker first logs in for a session token; n8n performs it.
FileMaker in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| FileMaker | n8n performs it | layout, recid |
#Flow
- n8n node: Flow (
n8n-nodes-base.flow, version 1), 4 actions. - n8n performs it: runs on the n8n credential Flow API (how to set it up).
- Veefore performs it: 4 of 4 actions, with a bearer token, sent as
Authorization: Bearer <token>. - You enter: Access token.
- API address:
https://api.getflow.com/v2.
Flow in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Create a task | POST /tasks |
workspaceId, name |
| Update a task | PUT /tasks/{taskId} |
workspaceId, taskId |
| Get a task | GET /tasks/{taskId} |
taskId |
| Get many tasks | GET /tasks |
— |
#Freshdesk
- n8n node: Freshdesk (
n8n-nodes-base.freshdesk, version 1), 10 actions. - n8n performs it: runs on the n8n credential Freshdesk API (how to set it up).
- Veefore performs it: 10 of 10 actions, with HTTP basic auth: username your username, password your password.
- You enter: Username, Password.
- API address:
https://{domain}.freshdesk.com/api/v2. - Get the key: support.freshdesk.com
Freshdesk in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Create a contact | POST /contacts |
name, domain |
| Delete a contact | DELETE /contacts/{contactId} |
contactId, domain |
| Get a contact | GET /contacts/{contactId} |
contactId, domain |
| Get many contacts | GET /contacts |
domain |
| Update a contact | PUT /contacts/{contactId} |
contactId, domain |
| Create a ticket | POST /tickets |
requester, requesterIdentificationValue, status, priority, source, domain |
| Delete a ticket | DELETE /tickets/{ticketId} |
ticketId, domain |
| Get a ticket | GET /tickets/{ticketId} |
ticketId, domain |
| Get many tickets | GET /tickets |
domain |
| Update a ticket | PUT /tickets/{ticketId} |
ticketId, domain |
#Freshservice
- n8n node: Freshservice (
n8n-nodes-base.freshservice, version 1), 72 actions. - n8n performs it: runs on the n8n credential Freshservice API (how to set it up).
- Veefore performs it: 72 of 72 actions, with HTTP basic auth: username API key, password
X(fixed). - You enter: API key.
- API address:
https://{domain}.freshservice.com/api/v2. - Get the key: support.freshservice.com
Freshservice in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Create an agent | POST /agents |
email, firstName, domain |
| Delete an agent | DELETE /agents/{agentId} |
agentId, domain |
| Get an agent | GET /agents/{agentId} |
agentId, domain |
| Get many agents | GET /agents |
domain |
| Update an agent | PUT /agents/{agentId} |
agentId, domain |
| Create an agent group | POST /groups |
name, domain |
| Delete an agent group | DELETE /groups/{agentGroupId} |
agentGroupId, domain |
| Get an agent group | GET /groups/{agentGroupId} |
agentGroupId, domain |
| Get many agent groups | GET /groups |
domain |
| Update an agent group | PUT /groups/{agentGroupId} |
agentGroupId, domain |
| Get an agent role | GET /roles/{agentRoleId} |
agentRoleId, domain |
| Get many agent roles | GET /roles |
domain |
| Create an announcement | POST /announcements |
title, bodyHtml, visibility, visibleFrom, domain |
| Delete an announcement | DELETE /announcements/{announcementId} |
announcementId, domain |
| Get an announcement | GET /announcements/{announcementId} |
announcementId, domain |
| Get many announcements | GET /announcements |
domain |
| Update an announcement | PUT /announcements/{announcementId} |
announcementId, domain |
| Create an asset type | POST /asset_types |
name, domain |
| Delete an asset type | DELETE /asset_types/{assetTypeId} |
assetTypeId, domain |
| Get an asset type | GET /asset_types/{assetTypeId} |
assetTypeId, domain |
| Get many asset types | GET /asset_types |
domain |
| Update an asset type | PUT /asset_types/{assetTypeId} |
assetTypeId, domain |
| Create a change | POST /changes |
requesterId, subject, plannedStartDate, plannedEndDate, domain |
| Delete a change | DELETE /changes/{changeId} |
changeId, domain |
| Get a change | GET /changes/{changeId} |
changeId, domain |
| Get many changes | GET /changes |
domain |
| Update a change | PUT /changes/{changeId} |
changeId, domain |
| Create a department | POST /departments |
name, domain |
| Delete a department | DELETE /departments/{departmentId} |
departmentId, domain |
| Get a department | GET /departments/{departmentId} |
departmentId, domain |
| Get many departments | GET /departments |
domain |
| Update a department | PUT /departments/{departmentId} |
departmentId, domain |
| Create a location | POST /locations |
name, domain |
| Delete a location | DELETE /locations/{locationId} |
locationId, domain |
| Get a location | GET /locations/{locationId} |
locationId, domain |
| Get many locations | GET /locations |
domain |
| Update a location | PUT /locations/{locationId} |
locationId, domain |
| Create a problem | POST /problems |
subject, requesterId, domain |
| Delete a problem | DELETE /problems/{problemId} |
problemId, domain |
| Get a problem | GET /problems/{problemId} |
problemId, domain |
| Get many problems | GET /problems |
domain |
| Update a problem | PUT /problems/{problemId} |
problemId, domain |
| Create a product | POST /products |
assetTypeId, name, domain |
| Delete a product | DELETE /products/{productId} |
productId, domain |
| Get a product | GET /products/{productId} |
productId, domain |
| Get many products | GET /products |
domain |
| Update a product | PUT /products/{productId} |
productId, domain |
| Create a release | POST /releases |
subject, plannedStartDate, plannedEndDate, domain |
| Delete a release | DELETE /releases/{releaseId} |
releaseId, domain |
| Get a release | GET /releases/{releaseId} |
releaseId, domain |
| Get many releases | GET /releases |
domain |
| Update a release | PUT /releases/{releaseId} |
releaseId, domain |
| Create a requester | POST /requesters |
firstName, domain |
| Delete a requester | DELETE /requesters/{requesterId} |
requesterId, domain |
| Get a requester | GET /requesters/{requesterId} |
requesterId, domain |
| Get many requesters | GET /requesters |
domain |
| Update a requester | PUT /requesters/{requesterId} |
requesterId, domain |
| Create a requester group | POST /requester_groups |
name, domain |
| Delete a requester group | DELETE /requester_groups/{requesterGroupId} |
requesterGroupId, domain |
| Get a requester group | GET /requester_groups/{requesterGroupId} |
requesterGroupId, domain |
| Get many requester groups | GET /requester_groups |
domain |
| Update a requester group | PUT /requester_groups/{requesterGroupId} |
requesterGroupId, domain |
| Create a software application | POST /applications |
applicationType, name, domain |
| Delete a software application | DELETE /applications/{softwareId} |
softwareId, domain |
| Get a software application | GET /applications/{softwareId} |
softwareId, domain |
| Get many software applications | GET /applications |
domain |
| Update a software application | PUT /applications/{softwareId} |
softwareId, domain |
| Create a ticket | POST /tickets |
email, domain |
| Delete a ticket | DELETE /tickets/{ticketId} |
ticketId, domain |
| Get a ticket | GET /tickets/{ticketId} |
ticketId, domain |
| Get many tickets | GET /tickets |
domain |
| Update a ticket | PUT /tickets/{ticketId} |
ticketId, domain |
#Freshworks CRM
- n8n node: Freshworks CRM (
n8n-nodes-base.freshworksCrm, version 1), 32 actions. - n8n performs it: runs on the n8n credential Freshworks CRM API (how to set it up).
- Veefore performs it: 32 of 32 actions, with the key in a header, as
Authorization: Token token=<key>. - You enter: API key.
- API address:
https://{domain}.myfreshworks.com/crm/sales/api. - Get the key: crmsupport.freshworks.com
Freshworks CRM in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Create an account | POST /sales_accounts |
name, domain |
| Delete an account | DELETE /sales_accounts/{accountId} |
accountId, domain |
| Get an account | GET /sales_accounts/{accountId} |
accountId, domain |
| Get many accounts | GET /sales_accounts/view/{view} |
view, domain |
| Update an account | PUT /sales_accounts/{accountId} |
accountId, domain |
| Create an appointment | POST /appointments |
title, fromDate, endDate, domain |
| Delete an appointment | DELETE /appointments/{appointmentId} |
appointmentId, domain |
| Get an appointment | GET /appointments/{appointmentId} |
appointmentId, domain |
| Get many appointments | GET /appointments |
domain |
| Update an appointment | PUT /appointments/{appointmentId} |
appointmentId, domain |
| Create a contact | POST /contacts |
firstName, lastName, emails, domain |
| Delete a contact | DELETE /contacts/{contactId} |
contactId, domain |
| Get a contact | GET /contacts/{contactId} |
contactId, domain |
| Get many contacts | GET /contacts/view/{view} |
domain, view |
| Update a contact | PUT /contacts/{contactId} |
contactId, domain |
| Create a deal | POST /deals |
amount, name, domain |
| Delete a deal | DELETE /deals/{dealId} |
dealId, domain |
| Get a deal | GET /deals/{dealId} |
dealId, domain |
| Get many deals | GET /deals/view/{view} |
domain, view |
| Update a deal | PUT /deals/{dealId} |
dealId, domain |
| Create a note | POST /notes |
description, targetableType, targetable_id, domain |
| Delete a note | DELETE /notes/{noteId} |
noteId, domain |
| Update a note | PUT /notes/{noteId} |
noteId, domain |
| Get a sales activity | GET /sales_activities/{salesActivityId} |
salesActivityId, domain |
| Get many sales activities | GET /sales_activities |
domain |
| Query a search | GET /search |
query, entities, domain |
| Lookup a search | GET /lookup |
searchField, fieldValue, domain |
| Create a task | POST /tasks |
title, dueDate, ownerId, targetableType, targetable_id, domain |
| Delete a task | DELETE /tasks/{taskId} |
taskId, domain |
| Get a task | GET /tasks/{taskId} |
taskId, domain |
| Get many tasks | GET /tasks |
domain |
| Update a task | PUT /tasks/{taskId} |
taskId, domain |
#FTP
- n8n node: FTP (
n8n-nodes-base.ftp, version 1.1), 5 actions. - n8n performs it: runs on the n8n credential FTP (how to set it up).
- Veefore performs it: not available. FTP is not a web API (a database, queue, file transfer or local step), so only n8n can perform it.
FTP in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Delete a file or folder | n8n performs it | path |
| Download a file | n8n performs it | path, binaryPropertyName |
| List folder content | n8n performs it | path, recursive |
| Rename / move a file or folder | n8n performs it | oldPath, newPath |
| Upload a file | n8n performs it | path, binaryPropertyName |